# Interface Namespace

All Superinterfaces:
  `Attribute, XMLEvent, XMLStreamConstants`

public interface Namespace extends Attribute
An interface that contains information about a namespace. Namespaces are accessed from a StartElement.

Since:
  1.6
See Also:
  - `StartElement`

## Field Summary

### Fields declared in interface XMLStreamConstants

`ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`
Modifier and Type
Field
Description
`static final int`
`ATTRIBUTE`
Indicates an event is an attribute
`static final int`
`CDATA`
Indicates an event is a CDATA section
`static final int`
`CHARACTERS`
Indicates an event is characters
`static final int`
`COMMENT`
Indicates an event is a comment
`static final int`
`DTD`
Indicates an event is a DTD
`static final int`
`END_DOCUMENT`
Indicates an event is an end document
`static final int`
`END_ELEMENT`
Indicates an event is an end element
`static final int`
`ENTITY_DECLARATION`
Indicates a Entity Declaration
`static final int`
`ENTITY_REFERENCE`
Indicates an event is an entity reference
`static final int`
`NAMESPACE`
Indicates the event is a namespace declaration
`static final int`
`NOTATION_DECLARATION`
Indicates a Notation
`static final int`
`PROCESSING_INSTRUCTION`
Indicates an event is a processing instruction
`static final int`
`SPACE`
The characters are white space (see [XML], 2.10 "White Space Handling").
`static final int`
`START_DOCUMENT`
Indicates an event is a start document
`static final int`
`START_ELEMENT`
Indicates an event is a start element

## Method Summary

Modifier and Type
Method
Description
`String`
`getNamespaceURI()`
Gets the uri bound to the prefix of this namespace
`String`
`getPrefix()`
Gets the prefix, returns "" if this is a default namespace declaration.
`boolean`
`isDefaultNamespaceDeclaration()`
returns true if this attribute declares the default namespace

### Methods declared in interface Attribute

`getDTDType, getName, getValue, isSpecified`
Modifier and Type
Method
Description
`String`
`getDTDType()`
Gets the type of this attribute, default is the String "CDATA".
`QName`
`getName()`
Returns the QName for this attribute.
`String`
`getValue()`
Gets the normalized value of this attribute.
`boolean`
`isSpecified()`
A flag indicating whether this attribute was actually specified in the start-tag of its element, or was defaulted from the schema.

### Methods declared in interface XMLEvent

`asCharacters, asEndElement, asStartElement, getEventType, getLocation, getSchemaType, isAttribute, isCharacters, isEndDocument, isEndElement, isEntityReference, isNamespace, isProcessingInstruction, isStartDocument, isStartElement, writeAsEncodedUnicode`
Modifier and Type
Method
Description
`Characters`
`asCharacters()`
Returns this event as Characters, may result in a class cast exception if this event is not Characters.
`EndElement`
`asEndElement()`
Returns this event as an end element event, may result in a class cast exception if this event is not a end element.
`StartElement`
`asStartElement()`
Returns this event as a start element event, may result in a class cast exception if this event is not a start element.
`int`
`getEventType()`
Returns an integer code for this event.
`Location`
`getLocation()`
Return the location of this event.
`QName`
`getSchemaType()`
This method is provided for implementations to provide optional type information about the associated event.
`boolean`
`isAttribute()`
A utility function to check if this event is an Attribute.
`boolean`
`isCharacters()`
A utility function to check if this event is Characters.
`boolean`
`isEndDocument()`
A utility function to check if this event is an EndDocument.
`boolean`
`isEndElement()`
A utility function to check if this event is a EndElement.
`boolean`
`isEntityReference()`
A utility function to check if this event is an EntityReference.
`boolean`
`isNamespace()`
A utility function to check if this event is a Namespace.
`boolean`
`isProcessingInstruction()`
A utility function to check if this event is a ProcessingInstruction.
`boolean`
`isStartDocument()`
A utility function to check if this event is a StartDocument.
`boolean`
`isStartElement()`
A utility function to check if this event is a StartElement.
`void`
`writeAsEncodedUnicode(Writer writer)`
This method will write the XMLEvent as per the XML 1.0 specification as Unicode characters.

## Method Details

### getPrefix

String getPrefix()
Gets the prefix, returns "" if this is a default namespace declaration.

Returns:
  the prefix

### getNamespaceURI

String getNamespaceURI()
Gets the uri bound to the prefix of this namespace

Returns:
  the `NamespaceURI`

### isDefaultNamespaceDeclaration

boolean isDefaultNamespaceDeclaration()
returns true if this attribute declares the default namespace

Returns:
  true if this is default namespace, false otherwise